﻿using System.Web.Optimization;

namespace InfragisticsDemo
{
    public class BundleConfig
    {
        // Weitere Informationen zu Bundling finden Sie unter "http://go.microsoft.com/fwlink/?LinkId=301862"
        public static void RegisterBundles(BundleCollection bundles)
        {
            bundles.Add(new ScriptBundle("~/bundles/jquery").Include(
            "~/Scripts/jquery-{version}.js",
            "~/Scripts/jquery-ui-{version}.js",
            "~/Scripts/jquery.validate.js",
            "~/Scripts/jquery.validate.unobtrusive.js"
            ));

            bundles.Add(new ScriptBundle("~/bundles/bootstrap").Include(
                      "~/Scripts/bootstrap.js"
                      ));

            bundles.Add(new StyleBundle("~/Content/bootstrap").Include(
                      "~/Content/bootstrap.css"));

            bundles.Add(new StyleBundle("~/Content/css").Include(
                      "~/Content/site.css"));

            bundles.Add(new ScriptBundle("~/bundles/infragistics").Include(
                // -------------- Localizations -----------------------
                //         "~/Scripts/infragistics/i18n/infragistics-de.js",
                //         "~/Scripts/infragistics/modules/i18n/regional/infragistics.ui.regional-de.js",
                //         "~/Scripts/infragistics/modules/infragistics.templating.js",
                ////"~/Scripts/infragistics/modules/infragistics.ui.shared.js",
                //         "~/Scripts/infragistics/modules/i18n/infragistics.templating-de.js",

                         // -------------- Main Infragistics JS Files ---------
                         "~/Scripts/infragistics/infragistics.core.js",
                //"~/Scripts/infragistics.dv.js", 
                         "~/Scripts/infragistics/infragistics.lob.js"));

            bundles.Add(new StyleBundle("~/Content/infragistics/themes/infragistics/css").Include("~/Content/infragistics/themes/infragistics/infragistics.theme.css" /*, new CssRewriteUrlTransform()*/));
            bundles.Add(new StyleBundle("~/Content/infragistics/structure/css").Include("~/Content/infragistics/structure/infragistics.css" /*, new CssRewriteUrlTransform() */));

        }
    }
}
