﻿using System;
using System.Web.Mvc;
using InfragisticsDemo.Models;

namespace InfragisticsDemo.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult EditorForBug()
        {
            var model = new Person()
            {
                IdxPerson = -1,
                Name = "CityName",
                Residence = new City()
                {
                    IdxCity = -1,
                    PeoplesRating = 0.6D
                }
            };
            return View(model);
        }

        [HttpPost]
        public ActionResult EditorForBug(Person item)
        {
            return View(item);
        }

        public ActionResult InitialValueBug()
        {
            var model = new Testobject()
            {
                PropInt = 87654321,
                PropDouble = 87654321.65D,
                PropDecimal = 87654.321M,
                PropDateTime = DateTime.Now,

                PropInt2 = 287654321,
                PropDouble2 = 287654321.65D,
                PropDecimal2 = 287654.321M,
                PropDateTime2 = DateTime.Now,

                PropDouble3 = 0.4,
            };
            return View(model);
        }
        
    }
}